Bug 1498417

Summary: [WARNING]: when statements should not include jinja2 templating delimiters
Product: Red Hat OpenStack Reporter: Gaël Chamoulaud <gchamoul>
Component: openstack-tripleo-validationsAssignee: Florian Fuchs <flfuchs>
Status: CLOSED ERRATA QA Contact: Udi <ukalifon>
Severity: low Docs Contact:
Priority: low    
Version: 13.0 (Queens)CC: augol, beth.white, jjoyce, jschluet, slinaber, tvignaud
Target Milestone: Upstream M3Keywords: Triaged
Target Release: 13.0 (Queens)   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: openstack-tripleo-validations-8.4.0-1.el7ost Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-06-27 13:37:30 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Gaël Chamoulaud 2017-10-04 09:29:21 UTC
Ansible>=2.3.0 will output warnings if `when` statements contain jinja2 templating delimiters such as curly braces (the playbooks are executing fine, despite the warnings).

Exemples:
https://ci.centos.org/artifacts/rdo/jenkins-tripleo-quickstart-extras-gate-newton-delorean-full-minimal-2319/undercloud/home/stack/run_preintro_validations_negative_tests.log.gz

Comment 1 Gaël Chamoulaud 2017-10-04 09:33:23 UTC
A patch has been pushed to the upstream openstack gerrit by Florian. Just created the bug here for tracking potential backport.

Comment 2 Florian Fuchs 2017-10-06 10:07:57 UTC
Added a backport patch:

  https://review.openstack.org/510042

Comment 6 Udi 2018-04-24 07:05:53 UTC
Verified in: openstack-tripleo-validations-8.4.0-2.el7ost.noarch

Comment 8 errata-xmlrpc 2018-06-27 13:37:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:2086